<?php namespace NicoSt\GCalendar\Classes;

class EventEntity {

    var $calendar_name;
    var $event_name;
    var $location;
    var $description;
    var $start_time;
    var $end_time;
    var $color;

    /**
     * @return mixed
     */
    public function getCalendarName() {
        return $this->calendar_name;
    }

    /**
     * @param mixed $calendar_name
     */
    public function setCalendarName($calendar_name) {
        $this->calendar_name = $calendar_name;
    }

    /**
     * @return mixed
     */
    public function getEventName() {
        return $this->event_name;
    }

    /**
     * @param mixed $event_name
     */
    public function setEventName($event_name) {
        $this->event_name = $event_name;
    }

    /**
     * @return mixed
     */
    public function getLocation() {
        return $this->location;
    }

    /**
     * @param mixed $location
     */
    public function setLocation($location) {
        $this->location = $location;
    }

    /**
     * @return mixed
     */
    public function getDescription() {
        return $this->description;
    }

    /**
     * @param mixed $description
     */
    public function setDescription($description) {
        $this->description = $description;
    }

    /**
     * @return mixed
     */
    public function getStartTime() {
        return $this->start_time;
    }

    /**
     * @param mixed $start_time
     */
    public function setStartTime($start_time) {
        $this->start_time = $start_time;
    }

    /**
     * @return mixed
     */
    public function getEndTime() {
        return $this->end_time;
    }

    /**
     * @param mixed $end_time
     */
    public function setEndTime($end_time) {
        $this->end_time = $end_time;
    }

    /**
     * @return mixed
     */
    public function getColor() {
        return $this->color;
    }

    /**
     * @param mixed $color
    */
    public function setColor($color) {
        $this->color = $color;
    }
}